> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arnio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

Update an existing webhook.


## OpenAPI

````yaml put /webhooks/{webhookId}
openapi: 3.0.3
info:
  title: Webhook API
  version: 1.0.0
  description: API for managing webhooks.
servers:
  - url: https://api.arnio.co/api/v1
security: []
paths:
  /webhooks/{webhookId}:
    put:
      tags:
        - Webhooks
      summary: Update a webhook
      parameters:
        - name: webhookId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                companyName:
                  type: string
                  example: Company name of webhook
                eventTypes:
                  type: array
                  example: >-
                    Event types to listen for webhook e.g. ['new-message',
                    'updated-message']
              required:
                - companyName
                - eventTypes
      responses:
        '200':
          description: Webhook updated successfully
          content:
            application/json:
              example:
                success: true
                message: Webhook updated successfully
                data:
                  id: webhook-123
                  companyName: My Company
                  url: https://example.com/webhooks
                  eventTypes:
                    - new-message
                    - update-message
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Provide your generated API Key.

````